Subject: Re: git-cherry-pick and author field in version 1.7.6.4

From: Nicolas Dichtel <[email-masked]>
Date: Thu, 06 Oct 2011 14:37:02 +0200

Le 06/10/2011 13:27, Jeff King a écrit :
> On Thu, Oct 06, 2011 at 09:51:06AM +0200, Nicolas Dichtel wrote:
>
>> Here is my sequence. I'm in a linux tree with a remote that point to
>> linus tree and I want to cherry-pick a patch from this remote:
>>
>> # git cherry-pick 3f78d1f210ff89af77f042ab7f4a8fee39feb1c9
>> [dev 87ce387] drivers/net/usb/asix.c: Fix unaligned accesses
>>   1 files changed, 33 insertions(+), 1 deletions(-)
>> # git log -1 --format='%an<%ae>'
>> Nicolas Dichtel<[email-masked]>
>> # git log -1 --format='%an<%ae>' 3f78d1f210ff89af77f042ab7f4a8fee39feb1c9
>> Neil Jones<[email-masked]>
>> #
>
> Hmph. Odd:
>
>    $ cd linux-2.6
>    $ git checkout -b dev 3f78d1f210ff89af77f042ab7f4a8fee39feb1c9^
>    Switched to a new branch 'dev'
>    $ git cherry-pick 3f78d1f210ff89af77f042ab7f4a8fee39feb1c9
>    [dev 78929c2] drivers/net/usb/asix.c: Fix unaligned accesses
>     Author: Neil Jones<[email-masked]>
>     1 files changed, 33 insertions(+), 1 deletions(-)
>    $ git log -1 --format='%an<%ae>'
>    Neil Jones<[email-masked]>
# git checkout -b dev 3f78d1f210ff89af77f042ab7f4a8fee39feb1c9^
Checking out files: 100% (25721/25721), done.
Switched to a new branch 'dev'
# git cherry-pick 3f78d1f210ff89af77f042ab7f4a8fee39feb1c9
[dev 693df4c] drivers/net/usb/asix.c: Fix unaligned accesses
  1 files changed, 33 insertions(+), 1 deletions(-)
# git log -1 --format='%an<%ae>'
Nicolas Dichtel<[email-masked]>
#

>
>> Maybe it is related to the problem I've reported in another thread:
>> http://comments.gmane.org/gmane.comp.version-control.git/182853
>
> Possibly. That issue is about the commit that comes _after_ the
> cherry-pick, and in this instance, things are already wrong for you by
> the time the cherry-pick has completed.
>
> However, the problem has to do with leaving a stale state file in .git,
> so perhaps a previous partially-completed cherry-pick has left cruft in
> .git that is confusing this cherry-pick (i.e., I can't reproduce because
> it is being affected by something that happened before the commands
> above). So let's see what Jay comes up with for solving the other
> problem, and I suspect it may just fix this issue, too.
I think so too. Will wait.

>
> You might also repeating the commands above. If it still fails, maybe
> try removing ".git/CHERRY_PICK_HEAD" if it exists and see if that helps.
No, it just allow the commit --amend, but this will not change the author.

Regards,
Nicolas